import { localize } from '../../nls.js';
import { ParseErrorCode } from './json.js';
function getParseErrorMessage(errorCode) {
    switch (errorCode) {
        case ParseErrorCode.InvalidSymbol: return ( localize(1165, 'Invalid symbol'));
        case ParseErrorCode.InvalidNumberFormat: return ( localize(1166, 'Invalid number format'));
        case ParseErrorCode.PropertyNameExpected: return ( localize(1167, 'Property name expected'));
        case ParseErrorCode.ValueExpected: return ( localize(1168, 'Value expected'));
        case ParseErrorCode.ColonExpected: return ( localize(1169, 'Colon expected'));
        case ParseErrorCode.CommaExpected: return ( localize(1170, 'Comma expected'));
        case ParseErrorCode.CloseBraceExpected: return ( localize(1171, 'Closing brace expected'));
        case ParseErrorCode.CloseBracketExpected: return ( localize(1172, 'Closing bracket expected'));
        case ParseErrorCode.EndOfFileExpected: return ( localize(1173, 'End of file expected'));
        default:
            return '';
    }
}
export { getParseErrorMessage };
