import { isWeb, isMacintosh, isLinux, isWindows, isIOS, isMobile } from '../../../base/common/platform.js';
import { localize } from '../../../nls.js';
import { RawContextKey } from './contextkey.js';
const IsMacContext = ( (new RawContextKey('isMac', isMacintosh, ( localize(5079, "Whether the operating system is macOS")))));
const IsLinuxContext = ( (new RawContextKey('isLinux', isLinux, ( localize(5080, "Whether the operating system is Linux")))));
const IsWindowsContext = ( (new RawContextKey('isWindows', isWindows, ( localize(5081, "Whether the operating system is Windows")))));
const IsWebContext = ( (new RawContextKey('isWeb', isWeb, ( localize(5082, "Whether the platform is a web browser")))));
const IsMacNativeContext = ( (new RawContextKey('isMacNative', isMacintosh && !isWeb, ( localize(5083, "Whether the operating system is macOS on a non-browser platform")))));
const IsIOSContext = ( (new RawContextKey('isIOS', isIOS, ( localize(5084, "Whether the operating system is iOS")))));
const IsMobileContext = ( (new RawContextKey('isMobile', isMobile, ( localize(5085, "Whether the platform is a mobile web browser")))));
const IsDevelopmentContext = ( (new RawContextKey('isDevelopment', false, true)));
const ProductQualityContext = ( (new RawContextKey('productQualityType', '', ( localize(5086, "Quality type of VS Code")))));
const InputFocusedContextKey = 'inputFocus';
const InputFocusedContext = ( (new RawContextKey(InputFocusedContextKey, false, ( localize(5087, "Whether keyboard focus is inside an input box")))));
export { InputFocusedContext, InputFocusedContextKey, IsDevelopmentContext, IsIOSContext, IsLinuxContext, IsMacContext, IsMacNativeContext, IsMobileContext, IsWebContext, IsWindowsContext, ProductQualityContext };
